﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

#pragma warning disable CA1814 // Prefer jagged arrays over multidimensional

namespace Electric.EntityFrameworkCore.DbMigrations.Migrations
{
    /// <inheritdoc />
    public partial class InitDB : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "ElePermission",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    Name = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Code = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Url = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Component = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Icon = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    PermissionType = table.Column<int>(type: "int", nullable: false),
                    ApiMethod = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Sort = table.Column<int>(type: "int", nullable: false),
                    ParentId = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    Status = table.Column<int>(type: "int", nullable: false),
                    Remark = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    CreationTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    CreatorId = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    LastModificationTime = table.Column<DateTime>(type: "datetime2", nullable: true),
                    LastModifierId = table.Column<Guid>(type: "uniqueidentifier", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_ElePermission", x => x.Id);
                });

            migrationBuilder.CreateTable(
                name: "EleRole",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    Name = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: false),
                    NormalizedName = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: false),
                    ConcurrencyStamp = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Status = table.Column<int>(type: "int", nullable: false),
                    Remark = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    CreationTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    CreatorId = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    LastModificationTime = table.Column<DateTime>(type: "datetime2", nullable: true),
                    LastModifierId = table.Column<Guid>(type: "uniqueidentifier", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_EleRole", x => x.Id);
                });

            migrationBuilder.CreateTable(
                name: "EleUser",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UserName = table.Column<string>(type: "nvarchar(450)", nullable: true),
                    NormalizedUserName = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: false),
                    Email = table.Column<string>(type: "nvarchar(450)", nullable: true),
                    NormalizedEmail = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: false),
                    EmailConfirmed = table.Column<bool>(type: "bit", nullable: false),
                    PasswordHash = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true),
                    SecurityStamp = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: false),
                    ConcurrencyStamp = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    PhoneNumber = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    PhoneNumberConfirmed = table.Column<bool>(type: "bit", nullable: false),
                    TwoFactorEnabled = table.Column<bool>(type: "bit", nullable: false, defaultValue: false),
                    LockoutEnd = table.Column<DateTimeOffset>(type: "datetimeoffset", nullable: true),
                    LockoutEnabled = table.Column<bool>(type: "bit", nullable: false, defaultValue: false),
                    AccessFailedCount = table.Column<int>(type: "int", nullable: false),
                    FullName = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    Status = table.Column<int>(type: "int", nullable: false),
                    Remark = table.Column<string>(type: "nvarchar(max)", nullable: true),
                    CreationTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    CreatorId = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    LastModificationTime = table.Column<DateTime>(type: "datetime2", nullable: true),
                    LastModifierId = table.Column<Guid>(type: "uniqueidentifier", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_EleUser", x => x.Id);
                });

            migrationBuilder.CreateTable(
                name: "EleRoleClaim",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    RoleId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    ClaimType = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: false),
                    ClaimValue = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_EleRoleClaim", x => x.Id);
                    table.ForeignKey(
                        name: "FK_EleRoleClaim_EleRole_RoleId",
                        column: x => x.RoleId,
                        principalTable: "EleRole",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "EleRolePermission",
                columns: table => new
                {
                    RoleId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    PermissionId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreationTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    CreatorId = table.Column<Guid>(type: "uniqueidentifier", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_EleRolePermission", x => new { x.RoleId, x.PermissionId });
                    table.ForeignKey(
                        name: "FK_EleRolePermission_ElePermission_PermissionId",
                        column: x => x.PermissionId,
                        principalTable: "ElePermission",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_EleRolePermission_EleRole_RoleId",
                        column: x => x.RoleId,
                        principalTable: "EleRole",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "EleUserClaim",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    ClaimType = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: false),
                    ClaimValue = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_EleUserClaim", x => x.Id);
                    table.ForeignKey(
                        name: "FK_EleUserClaim_EleUser_UserId",
                        column: x => x.UserId,
                        principalTable: "EleUser",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "EleUserLogin",
                columns: table => new
                {
                    LoginProvider = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: false),
                    UserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    ProviderKey = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: false),
                    ProviderDisplayName = table.Column<string>(type: "nvarchar(100)", maxLength: 100, nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_EleUserLogin", x => new { x.UserId, x.LoginProvider });
                    table.ForeignKey(
                        name: "FK_EleUserLogin_EleUser_UserId",
                        column: x => x.UserId,
                        principalTable: "EleUser",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "EleUserRole",
                columns: table => new
                {
                    UserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    RoleId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreationTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    CreatorId = table.Column<Guid>(type: "uniqueidentifier", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_EleUserRole", x => new { x.UserId, x.RoleId });
                    table.ForeignKey(
                        name: "FK_EleUserRole_EleRole_RoleId",
                        column: x => x.RoleId,
                        principalTable: "EleRole",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                    table.ForeignKey(
                        name: "FK_EleUserRole_EleUser_UserId",
                        column: x => x.UserId,
                        principalTable: "EleUser",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.CreateTable(
                name: "EleUserToken",
                columns: table => new
                {
                    UserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    LoginProvider = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: false),
                    Name = table.Column<string>(type: "nvarchar(200)", maxLength: 200, nullable: false),
                    Value = table.Column<string>(type: "nvarchar(max)", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_EleUserToken", x => new { x.UserId, x.LoginProvider, x.Name });
                    table.ForeignKey(
                        name: "FK_EleUserToken_EleUser_UserId",
                        column: x => x.UserId,
                        principalTable: "EleUser",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                });

            migrationBuilder.InsertData(
                table: "ElePermission",
                columns: new[] { "Id", "ApiMethod", "Code", "Component", "CreationTime", "CreatorId", "Icon", "LastModificationTime", "LastModifierId", "Name", "ParentId", "PermissionType", "Remark", "Sort", "Status", "Url" },
                values: new object[,]
                {
                    { new Guid("09f1720e-bdd0-448d-9572-e0d1418fc4f8"), "GET", "system.user", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1241), null, "el-icon-user-solid", null, new Guid("00000000-0000-0000-0000-000000000000"), "用户管理", new Guid("1d4c0cd9-47e5-4de7-a523-8d74cb7a973b"), 0, null, 0, 1, null },
                    { new Guid("139cdb4c-0b37-487b-a469-c42ca1179d73"), "GET", "system.permission.delete", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1286), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "删除", new Guid("ae19a33d-79b2-4963-a992-febfc0ef1e58"), 1, null, 0, 1, null },
                    { new Guid("14492003-3428-4a58-89a5-d91f2328b94f"), "GET", "system.role.edit", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1272), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "编辑", new Guid("f4af67e1-5614-4200-b4b9-edd5fe5d67b2"), 1, null, 0, 1, null },
                    { new Guid("1d4c0cd9-47e5-4de7-a523-8d74cb7a973b"), "GET", "system", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1218), null, "el-icon-s-tools", null, new Guid("00000000-0000-0000-0000-000000000000"), "系统管理", null, 0, null, 0, 1, null },
                    { new Guid("23b39087-3df6-4338-b5c9-148dcd45e234"), "GET", "system.user.add", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1258), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "添加", new Guid("09f1720e-bdd0-448d-9572-e0d1418fc4f8"), 1, null, 0, 1, null },
                    { new Guid("58430242-3945-4b5a-b5cb-f58ab3d11fa1"), "GET", "system.permission.add", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1279), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "添加", new Guid("ae19a33d-79b2-4963-a992-febfc0ef1e58"), 1, null, 0, 1, null },
                    { new Guid("668c187c-011f-4c93-ada8-b9612d01b285"), "GET", "system.permission.edit", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1284), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "编辑", new Guid("ae19a33d-79b2-4963-a992-febfc0ef1e58"), 1, null, 0, 1, null },
                    { new Guid("752f03f3-b335-4ed7-a54b-2486f2c5d03e"), "GET", "system.rolepermission", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1248), null, "example", null, new Guid("00000000-0000-0000-0000-000000000000"), "角色权限", new Guid("1d4c0cd9-47e5-4de7-a523-8d74cb7a973b"), 0, null, 0, 1, null },
                    { new Guid("795ab106-a9e0-4142-948d-2a709a0fd371"), "GET", "system.role.add", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1267), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "添加", new Guid("f4af67e1-5614-4200-b4b9-edd5fe5d67b2"), 1, null, 0, 1, null },
                    { new Guid("9f732d16-a64b-4248-8264-2f4e334e3e01"), "GET", "system.user.delete", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1264), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "删除", new Guid("09f1720e-bdd0-448d-9572-e0d1418fc4f8"), 1, null, 0, 1, null },
                    { new Guid("a950864b-283c-47a0-b931-2683a2c16ed5"), "GET", "system.role.delete", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1274), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "删除", new Guid("f4af67e1-5614-4200-b4b9-edd5fe5d67b2"), 1, null, 0, 1, null },
                    { new Guid("ae19a33d-79b2-4963-a992-febfc0ef1e58"), "GET", "system.permission", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1245), null, "list", null, new Guid("00000000-0000-0000-0000-000000000000"), "菜单管理", new Guid("1d4c0cd9-47e5-4de7-a523-8d74cb7a973b"), 0, null, 0, 1, null },
                    { new Guid("cb9468e1-3e89-432b-8f66-61493a53d5ac"), "GET", "system.user.edit", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1261), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "编辑", new Guid("09f1720e-bdd0-448d-9572-e0d1418fc4f8"), 1, null, 0, 1, null },
                    { new Guid("ea249c96-eb42-455c-8971-6d14897b250a"), "GET", "system.rolepermission.update", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1288), null, null, null, new Guid("00000000-0000-0000-0000-000000000000"), "更新", new Guid("752f03f3-b335-4ed7-a54b-2486f2c5d03e"), 1, null, 0, 1, null },
                    { new Guid("f4af67e1-5614-4200-b4b9-edd5fe5d67b2"), "GET", "system.role", null, new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1244), null, "peoples", null, new Guid("00000000-0000-0000-0000-000000000000"), "角色管理", new Guid("1d4c0cd9-47e5-4de7-a523-8d74cb7a973b"), 0, null, 0, 1, null }
                });

            migrationBuilder.InsertData(
                table: "EleRole",
                columns: new[] { "Id", "ConcurrencyStamp", "CreationTime", "CreatorId", "LastModificationTime", "LastModifierId", "Name", "NormalizedName", "Remark", "Status" },
                values: new object[] { new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), "640f42fdd96a4e4d827dc511cac97b79", new DateTime(2024, 4, 14, 7, 48, 20, 575, DateTimeKind.Local).AddTicks(3124), null, null, new Guid("00000000-0000-0000-0000-000000000000"), "管理员", "管理员", null, 1 });

            migrationBuilder.InsertData(
                table: "EleUser",
                columns: new[] { "Id", "AccessFailedCount", "ConcurrencyStamp", "CreationTime", "CreatorId", "Email", "EmailConfirmed", "FullName", "LastModificationTime", "LastModifierId", "LockoutEnd", "NormalizedEmail", "NormalizedUserName", "PasswordHash", "PhoneNumber", "PhoneNumberConfirmed", "Remark", "SecurityStamp", "Status", "UserName" },
                values: new object[] { new Guid("0abd1739-7b72-4556-ad70-89009ecbcaa7"), 0, "de91e8a7e6da452998d003c0deed563d", new DateTime(2024, 4, 14, 7, 48, 20, 575, DateTimeKind.Local).AddTicks(3428), null, "admin@eletric.com", true, "管理员", null, new Guid("00000000-0000-0000-0000-000000000000"), null, "ADMIN@ELETRIC.COM", "ADMIN", "AQAAAAIAAYagAAAAEIKewBYi6+6C2NweyM9RnBUliFXSc4zrK32BJWOzjIbVKdlE2p0MIcW5y5aYkQPBMw==", null, false, null, "d31f0633-9dbc-4011-8620-04ccf42f5bf7", 1, "admin" });

            migrationBuilder.InsertData(
                table: "EleRolePermission",
                columns: new[] { "PermissionId", "RoleId", "CreationTime", "CreatorId" },
                values: new object[,]
                {
                    { new Guid("09f1720e-bdd0-448d-9572-e0d1418fc4f8"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1364), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("139cdb4c-0b37-487b-a469-c42ca1179d73"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1375), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("14492003-3428-4a58-89a5-d91f2328b94f"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1372), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("1d4c0cd9-47e5-4de7-a523-8d74cb7a973b"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1357), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("23b39087-3df6-4338-b5c9-148dcd45e234"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1368), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("58430242-3945-4b5a-b5cb-f58ab3d11fa1"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1374), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("668c187c-011f-4c93-ada8-b9612d01b285"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1374), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("752f03f3-b335-4ed7-a54b-2486f2c5d03e"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1367), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("795ab106-a9e0-4142-948d-2a709a0fd371"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1371), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("9f732d16-a64b-4248-8264-2f4e334e3e01"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1370), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("a950864b-283c-47a0-b931-2683a2c16ed5"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1373), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("ae19a33d-79b2-4963-a992-febfc0ef1e58"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1366), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("cb9468e1-3e89-432b-8f66-61493a53d5ac"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1369), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("ea249c96-eb42-455c-8971-6d14897b250a"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1376), new Guid("00000000-0000-0000-0000-000000000000") },
                    { new Guid("f4af67e1-5614-4200-b4b9-edd5fe5d67b2"), new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1365), new Guid("00000000-0000-0000-0000-000000000000") }
                });

            migrationBuilder.InsertData(
                table: "EleUserRole",
                columns: new[] { "RoleId", "UserId", "CreationTime", "CreatorId" },
                values: new object[] { new Guid("bc35ed5e-61ac-4bb7-a57f-a2a768ff9bed"), new Guid("0abd1739-7b72-4556-ad70-89009ecbcaa7"), new DateTime(2024, 4, 14, 7, 48, 20, 659, DateTimeKind.Local).AddTicks(1121), new Guid("00000000-0000-0000-0000-000000000000") });

            migrationBuilder.CreateIndex(
                name: "IX_ElePermission_CreationTime",
                table: "ElePermission",
                column: "CreationTime");

            migrationBuilder.CreateIndex(
                name: "IX_EleRole_CreationTime",
                table: "EleRole",
                column: "CreationTime");

            migrationBuilder.CreateIndex(
                name: "IX_EleRole_NormalizedName",
                table: "EleRole",
                column: "NormalizedName");

            migrationBuilder.CreateIndex(
                name: "IX_EleRoleClaim_RoleId",
                table: "EleRoleClaim",
                column: "RoleId");

            migrationBuilder.CreateIndex(
                name: "IX_EleRolePermission_PermissionId",
                table: "EleRolePermission",
                column: "PermissionId");

            migrationBuilder.CreateIndex(
                name: "IX_EleRolePermission_RoleId_PermissionId",
                table: "EleRolePermission",
                columns: new[] { "RoleId", "PermissionId" });

            migrationBuilder.CreateIndex(
                name: "IX_EleUser_CreationTime",
                table: "EleUser",
                column: "CreationTime");

            migrationBuilder.CreateIndex(
                name: "IX_EleUser_Email",
                table: "EleUser",
                column: "Email");

            migrationBuilder.CreateIndex(
                name: "IX_EleUser_NormalizedEmail",
                table: "EleUser",
                column: "NormalizedEmail");

            migrationBuilder.CreateIndex(
                name: "IX_EleUser_NormalizedUserName",
                table: "EleUser",
                column: "NormalizedUserName");

            migrationBuilder.CreateIndex(
                name: "IX_EleUser_UserName",
                table: "EleUser",
                column: "UserName");

            migrationBuilder.CreateIndex(
                name: "IX_EleUserClaim_UserId",
                table: "EleUserClaim",
                column: "UserId");

            migrationBuilder.CreateIndex(
                name: "IX_EleUserLogin_LoginProvider_ProviderKey",
                table: "EleUserLogin",
                columns: new[] { "LoginProvider", "ProviderKey" });

            migrationBuilder.CreateIndex(
                name: "IX_EleUserRole_RoleId_UserId",
                table: "EleUserRole",
                columns: new[] { "RoleId", "UserId" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "EleRoleClaim");

            migrationBuilder.DropTable(
                name: "EleRolePermission");

            migrationBuilder.DropTable(
                name: "EleUserClaim");

            migrationBuilder.DropTable(
                name: "EleUserLogin");

            migrationBuilder.DropTable(
                name: "EleUserRole");

            migrationBuilder.DropTable(
                name: "EleUserToken");

            migrationBuilder.DropTable(
                name: "ElePermission");

            migrationBuilder.DropTable(
                name: "EleRole");

            migrationBuilder.DropTable(
                name: "EleUser");
        }
    }
}
